Navigate / search

Google Apps to stop support for older web browsers

In continuing Google’s support for HTML5, it has decided to stop support for older versions of Firefox, Chrome, Internet Explorer and Safari when using it’s web based suite of Google Apps. The older web browsers lack full support of HTML 5 to implement better user experience features like drag & drop, desktop notifications.

To be able to add features that enhance the user experience Google will drop support for the older browser versions (Firefox 3.5, Internet Explorer 7, Safari 3 and older) starting August 1.

Read more